Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.scala
[Java] Class ScalaCompile

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.tasks.compile.AbstractCompile
                  org.gradle.api.tasks.scala.ScalaCompile

    public class ScalaCompile
    extends AbstractCompile

Compiles Scala source files, and optionally, Java source files.

Constructor Summary
`ScalaCompile()`

Method Summary
`protected void` | `compile()`
`CompileOptions` | `getOptions()` Returns the Java compilation options.
`FileCollection` | `getScalaClasspath()` Returns the classpath to use to load the Scala compiler.
`ScalaCompileOptions` | `getScalaCompileOptions()` Returns the Scala compilation options.
`FileCollection` | `getZincClasspath()` Returns the classpath to use to load the Zinc incremental compiler.
`void` | `setScalaClasspath(FileCollection scalaClasspath)`
`void` | `setZincClasspath(FileCollection zincClasspath)`

Methods inherited from class AbstractCompile
compile, getClasspath, getDestinationDir, getSourceCompatibility, getTargetCompatibility, setClasspath, setDestinationDir, setSourceCompatibility, setTargetCompatibility

Methods inherited from class SourceTask
exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source

Constructor Detail

### ScalaCompile

    @Inject
    public ScalaCompile()

Method Detail

### compile

    @Override
    protected void compile()

### getOptions

    @Nested
    public CompileOptions getOptions()

  Returns the Java compilation options.

### getScalaClasspath

    @InputFiles
    public FileCollection getScalaClasspath()

  Returns the classpath to use to load the Scala compiler.

### getScalaCompileOptions

    @Nested
    public ScalaCompileOptions getScalaCompileOptions()

  Returns the Scala compilation options.

### getZincClasspath

    @InputFiles
    public FileCollection getZincClasspath()

  Returns the classpath to use to load the Zinc incremental compiler. This compiler in turn loads the Scala compiler.

### setScalaClasspath

    public void setScalaClasspath(FileCollection scalaClasspath)

### setZincClasspath

    public void setZincClasspath(FileCollection zincClasspath)

Gradle API 1.10